Bug 373531 - Improve logging for fence_scsi and scsi_reserve
Improve logging for fence_scsi and scsi_reserve
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan O'Hara
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 14:28 EST by Ryan O'Hara
Modified: 2009-04-16 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2007-11-09 14:28:48 EST
Both fence_scsi and scsi_reserve need improve logging capabilities. Need to log
all errors and probably successful operations, too. Recommend that all logging
be done via syslog such that information generate from either script is visible
in /var/log/messages.
Comment 2 Ryan O'Hara 2008-01-18 18:40:35 EST
Partially fixed. The scsi_reserve script now has fairly significant error
logging. All messages are sent to syslog via the 'logger' command, tagged with
"scsi_reserve". Also added several informational log messages.

Still need to overhaul logging in fence_scsi agent.
Comment 3 RHEL Product and Program Management 2008-07-14 12:40:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Ryan O'Hara 2008-09-10 18:00:34 EDT
The init script (scsi_reserve) had improved logging added to it in a previous release.

The fence agent (fence_scsi) now has better verbose output (-v option). Previously, output generated from the -v option was a bit confusing and didn't provide an accurate description regard what the script was doing. This should be fixed. New output from -v option is much easier to read/understand.
Comment 7 errata-xmlrpc 2009-01-20 16:52:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.